ranges::views::generate_n_fn Struct Reference

## Synopsis of methods

constexpr generate_n_fn | generate_n {}

## Public Member Functions

template<typename G >
auto | operator() (G g, std::size_t n) const -> generate_n_view< G > requires invocable< G &> &&copy_constructible< G > &&std::is_object< detail::decay_t< invoke_result_t< G &>>>::value &&constructible_from< detail::decay_t< invoke_result_t< G &>>, invoke_result_t< G &>> &&assignable_from< detail::decay_t< invoke_result_t< G &>> &, invoke_result_t< G &>>